version: "3.7"

services:
  nginx:
    container_name: tst-nginx
    image: nginx:stable-alpine
    volumes:
      - ./docker/nginx/conf.d:/etc/nginx/conf.d:rw
      - .:/var/www:rw
      - ./../uploads:/var/www/public/uploads:rw
    ports:
      - "80:80"
    depends_on:
      - php

  php:
    container_name: tst-php
    build:
      context: docker/php-fpm
      dockerfile: Dockerfile
    volumes:
      - .:/var/www:rw
      - ./../uploads:/var/www/public/uploads:rw
    depends_on:
    #  - redis
      - postgres

  postgres:
    container_name: tst-postgres
    image: postgres:14-alpine
    environment:
      - POSTGRES_DB=${POSTGRES_DB}
      - POSTGRES_USER=${POSTGRES_USER}
      - POSTGRES_PASSWORD=${POSTGRES_PASSWORD}
    volumes:
      - postgresql-data:/var/lib/postgresql/data:rw
    command: postgres -c fsync=off -c synchronous_commit=off

  #redis:
  #  container_name: tst-redis
  #  image: redis:alpine
  #  command: redis-server --requirepass ${REDIS_PASSWORD}
  #  volumes:
  #    - redis-data:/data:rw

volumes:
  postgresql-data:
#  redis-data:
